Kompilacja kernela nie tylko dla mnie - problem z oldconfig


(Morietto) #1

właśnie :frowning: :frowning: jest pewien kernel.. którego konfiguracja jest magiczna..... nazywa się on low-latency.. próbowałem skompilowac kernel w tak aby chodził równie fajnie ale.. niestety nie udało mi się spłodzić tak fajnej konfiguracji.. :drinking: postanowiłem wziąść kernel z (chyba pierwszej wersji) ubuntu studio i go zainstalować na ubuntu 8.04 i skompilować 2.6.27.6 wg. konfiguracji właśnie low-latency (wersja 2.6.20)... problem wygląda następująco.. gdy zajrzałem do konfiguracji kernela w katalogu /boot nie było ustawionych baaardzo wiele rzeczy (i tu pojawiła się juz moja wczesniejsza obawa) chodzi o architekturę procka itp. chciałbym aby kernel nie był tylko na mojego kompa.. chciałbym wrzucić go na bloga, wysłać kilku osobom i takie tam... ale się nie da chyba(tak mi się wydaje) ponieważ mimo wybrania starej konfiguracji pojawiają się istotne pytania... więc... mylę się czy nie mylę? oto jest pytanie.. :hmmm:


tzn. bo ja go chcę jako gotowca łatwego w instalacji (tj. .deb) aby przy instalacji nie było kłopotu.. tzn. ja wiem jak do deba się kompiluje problem jest z konfiguracją ;(


(matiit) #2

skopiuj .config z tego z ubuntu studio...


(Morietto) #3

no właśnie na płycie jest gotowa paczka deb z kernelem.. tu ubuntu studio oparte jest o 7.04.. config mam w katalogu /boot w moim kompie.. i w pewnych miejscach jest po prostu "is not set" czyli nieustawione.. i właśnie m.in. o to dopytuje się nowy kernel przy kompilacji.. tzn. problemem nie jest to że cośtam jest nieustawione tylko to że kernel może nie pójść na innym kompie...

oto ten config: http://rapidshare.com/files/164281772/config-2.6.20-15-lowlatency.html

tzn. dokonfigurowanie nie jest problemem tylko to że wydaje mi się (mylić się mogę) ale kernel może nie chodzić na innym sprzęcie...


(matiit) #4

Nie chce mie się patrzeć na ten .config, ale jeśli masz paczkę deb z kernelem to po co chcesz go kompilować?


(Morietto) #5

chciałem nową wersję... wiem xD mam dziwny kaprys :roll:

ale jak coś, dzięki za odpowiedź ^^


edit: no właśnie jestem gapa.. nagłówki do starego się nie instalują... jest jakiś błąd...więc myślałem że kompilacja m.in. do nowej wersji się przyda ;]